org.apache.ignite.ml.clustering.kmeans

## Class KMeansModel.KMeansJSONExportModel

- java.lang.Object
- - org.apache.ignite.ml.inference.json.JSONModel
  - - org.apache.ignite.ml.clustering.kmeans.KMeansModel.KMeansJSONExportModel

- Enclosing class:
    KMeansModel

      public static class KMeansModel.KMeansJSONExportModel
      extends JSONModel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `DistanceMeasure` | `distanceMeasure` Distance measure.
    `List<double[]>` | `mdlCenters` Centers of clusters.

    - ### Fields inherited from class org.apache.ignite.ml.inference.json.JSONModel

      `formatVersion, JSON_MODEL_FORMAT_VERSION, modelClass, timestamp, uid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KMeansJSONExportModel()`
    `KMeansJSONExportModel(Long timestamp, String uid, String modelClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KMeansModel` | `convert()` Convert JSON string to IgniteModel object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mdlCenters

          public List<double[]> mdlCenters

      Centers of clusters.

    - #### distanceMeasure

          public DistanceMeasure distanceMeasure

      Distance measure.

  - ### Constructor Detail

    - #### KMeansJSONExportModel

          public KMeansJSONExportModel(Long timestamp,
                                       String uid,
                                       String modelClass)

    - #### KMeansJSONExportModel

          public KMeansJSONExportModel()

  - ### Method Detail

    - #### convert

          public KMeansModel convert()

      Convert JSON string to IgniteModel object.
      Specified by:
        `convert` in class `JSONModel`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023